## com.bbn.openmap.layer.plotLayer
Class GLOBEData

    java.lang.Object
      com.bbn.openmap.layer.plotLayer.GLOBEData

Direct Known Subclasses:
  GLOBETempData

public abstract class GLOBEData
extends java.lang.Object

Constructor Summary
`GLOBEData()`

Method Summary
`void` `loadData(java.io.InputStream instream)`
`protected abstract void` `parseDataFromStream(java.lang.String line)`
`void` `readDataFromStream(java.io.InputStream istream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLOBEData

    public GLOBEData()

Method Detail

### loadData

    public void loadData(java.io.InputStream instream)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseDataFromStream

    protected abstract void parseDataFromStream(java.lang.String line)

### readDataFromStream

    public void readDataFromStream(java.io.InputStream istream)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details